<!-- <div class="modal fade" id="object1" tabindex="-1" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered modal-lg" role="document"> -->
      <div class="modal-content">
        <div class="modal-body">

<!-- <div class="container-fluid"> -->
    <div class="row">
        <div class="col-md-10 title" style="padding-top: 12px;">รายละเอียดการประกาศข่าว</div>
        <div class="col-md-2" style="text-align: right;padding-top: 12px;">
            <img src="assets/img/x.png" class="close-btn" (click)="close()"/>
        </div>
        <div class="col-md-12" style="margin-top: 15px">
            <label>หัวข้อประกาศ</label>
            <input type="text" class="form-control" id="name" aria-describedby="emailHelp"
                   placeholder="กรอกหัวข้อประกาศ" [ngModel]="datadetail['topic']" readonly>
        </div>
        <div class="form-group"></div>
        <div class="col-md-12" style="padding-top: 15px">
            รายละเอียดประกาศ
        </div>
        <div class="form-group"></div>
        <div class="col-md-12 mainText">
                    <textarea
                            style="padding-top: 15px;resize: vertical; border:none;width:100%;outline: 0px solid transparent;font-size:16px;color:#2e2d2d" rows="10" type="text" id="description"
                            [(ngModel)]="datadetail['detail']"
                            #description="ngModel" name="description" readonly></textarea>
            <div class="textarea-container">

                <div style="position: relative">

                    <div class="image_row">
                        <div class="row image_col">
                            <div class="unnon_image_out" *ngFor="let item of image1; index as i">
                                <div class="unnon_image">
                                    <img [src]="image1[i]" alt="{{ data_edit.picture.file[i].name }}"
                                         title="{{ data_edit.picture.file[i].name }}" class="photo" (click)="image_click(1, i)"/>
                                </div>
                            </div>
                        </div>
                        <div id="myModal" class="modal">
                            <div style="justify-content: center">
                                <div class="modal-content" *ngIf="showModel">
                                    <span class="close cursor" (click)="closeModal()"><img src="../../../../../assets/img/close-modal.png" /></span>
                                    <img src="{{ modalImage[modalmainImageIndex] }}" alt="{{ modalImagedetail[modalmainImageIndex].name }}"
                                         title="{{ modalImagedetail[modalmainImageIndex].name }}" class="modal-image" />
                                </div>
                                <br />
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<!-- </div> -->
        </div>
      </div>
    <!-- </div>
</div> -->


